eldbus::model_proxy Struct Reference

Public Member Functions | Static Public Member Functions
eldbus::model_proxy Struct Reference

Class model_proxy. More...

## Public Member Functions
| model_proxy (Eo *eo)
| Eo Constructor. More...
| model_proxy (std::nullptr_t)
| nullptr_t Constructor. More...
| model_proxy (model_proxy const &other)
| Copy Constructor.
::efl::eina::string_view | name_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_child_added_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_child_added_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_child_removed_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_child_removed_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_children_count_changed_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_children_count_changed_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_load_status_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_load_status_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_properties_changed_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_properties_changed_call (T *info)
| model_proxy (::efl::eo::parent_type _p, _c_constructor _c0)
| Constructs a new eldbus::model_proxy object. More...
| model_proxy (_c_constructor _c0)
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::model::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | load () const
void | unload () const
void | properties_load () const
void | children_load () const
::eo::base | child_add () const
Efl_Model_Load_Status | child_del (::eo::base child_) const
Efl_Model_Load_Status | load_status_get () const
Efl_Model_Load_Status | properties_get (Eina_Array *const *properties_) const
Efl_Model_Load_Status | property_get (::efl::eina::string_view property_, const Eina_Value **value_) const
Efl_Model_Load_Status | property_set (::efl::eina::string_view property_, const Eina_Value *value_) const
Efl_Model_Load_Status | children_slice_get (unsigned int start_, unsigned int count_, Eina_Accessor **children_accessor_) const
Efl_Model_Load_Status | children_count_get (unsigned int *children_count_) const
template<typename F >
::efl::eo::signal_connection | callback_child_added_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_child_added_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_child_removed_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_child_removed_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_children_count_changed_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_children_count_changed_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_load_status_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_load_status_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_properties_changed_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_properties_changed_call (T *info)
| base (::efl::eo::parent_type _p)
| Constructs a new efl::model::base object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
::eo::base | constructor () const
void | destructor () const
::eo::base | finalize () const
void | wref_add (::eo::base *wref_) const
void | wref_del (Eo_Base **wref_) const
void | key_data_set (::efl::eina::string_view key_, const void *data_) const
void * | key_data_get (::efl::eina::string_view key_) const
void | key_data_del (::efl::eina::string_view key_) const
void | event_thaw () const
void | event_freeze () const
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
void | event_callback_forwarder_add (const Eo_Event_Description *desc_, ::eo::base new_obj_) const
void | event_callback_forwarder_del (const Eo_Event_Description *desc_, ::eo::base new_obj_) const
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
Eina_Iterator * | children_iterator_new () const
::eo::base | parent_get () const
void | parent_set (::eo::base parent_) const
int | event_global_freeze_count_get () const
int | event_freeze_count_get () const
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...

## Static Public Member Functions
static _c_constructor | constructor (Eldbus_Object *object_, const Eldbus_Introspection_Interface *interface_)
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::model::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_thaw ()
static void | event_global_freeze ()
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class model_proxy.

## Constructor & Destructor Documentation

## ◆ model_proxy() [1/3]

eldbus::model_proxy::model_proxy | ( | ::efl::eo::parent_type | _p,
|  | _c_constructor | _c0
| ) |  |
| inlineexplicit

Constructs a new eldbus::model_proxy object.

Constructs a new eldbus::model_proxy object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Since this class have a necessary constructor method, you must call it in the right place within this constructor parameters.

Example:

eldbus::model_proxy my_model_proxy(efl::eo::parent = parent_object,
my_model_proxy.constructor(object_, interface_));

See also
  model_proxy::constructor
  model_proxy(Eo* eo)

References efl::eo::parent.

## ◆ model_proxy() [2/3]

eldbus::model_proxy::model_proxy | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ model_proxy() [3/3]

eldbus::model_proxy::model_proxy | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ constructor()

static _c_constructor eldbus::model_proxy::constructor | ( | Eldbus_Object * | object_,
|  | const Eldbus_Introspection_Interface * | interface_
| ) |  |
| static

Parameters

  object |
  interface |